Bug 204643 - lvm boot failure Volume group missing
lvm boot failure Volume group missing
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Milan Broz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-30 11:55 EDT by Frederic Hornain
Modified: 2013-02-28 23:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-16 11:16:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frederic Hornain 2006-08-30 11:55:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 1.1.4322)

Description of problem:
Hi,

Yesterday, I did a shutdown of my machine after to have played with security policies - mostly - firewall rules -. 
The shutdown seems to be succesfull however I am not so sure anymore now.
But at that time, I did not care.

Then I restarted my computer and during the boot process of my Fedora Core 5, I had aproximatly the following message after the filesystem check step.

>  Filesystem [ FAILED ]
>
>*** Warning -- SELINUX is active"
>*** Disabling security enforcement for system recovery"
>*** Run 'setenforce 1' to reenable.
>  Give root password for maintenance 
>  (or type Control-D to continue)

So I entered the root password and I did some fsck thinking one of my ext3 formatted logical volume were corrupted then I had something like this :

> fsck ?.?? - the question mark is there cause I did not remember the numbers -
> fsck.ext3: No such file or directory trying to open /dev/mapper/VolGroup01-LogVol00
>
> -Message that I did not remember- superblock not correct do an e2fsck -b 8128







Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2174_FC5smp

How reproducible:
Always


Steps to Reproduce:
1. Install a Fresh Fedora Core 5 on a machine 
2. Enforce the SELINUX
3. Apply some update
4. Disable the SELINUX
5. Apply some update
6. Wait a long while.
7. Apply some update
8. Re Enforce the SELINUX.
9. Shutdown the machine.
10. Restart it and you probably should have this message.

Actual Results:
I was on something between the normal mode and the single mode.

So I was redirected on the command line :
> [ Filesystem rescue 1]

if I did an exit tha machine rebooted.


Expected Results:
The OS should have started correctly. As usual.

Additional info:
Comment 1 Milan Broz 2007-05-16 11:16:15 EDT
After re-enabling selinux in enforce mode you will probably must relabel
filesystem (depends on how selinux was disabled).

Note You need to log in before you can comment on or make changes to this bug.